Skip to main content
POST
https://{tenantDomain}/api/v2
/
users
/
{id}
/
risk-assessments
/
clear
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Users;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.RiskAssessments.ClearAsync(
            id: "id",
            request: new ClearAssessorsRequestContent {
                Connection = "connection",
                Assessors = new List<string>(){
                    "new-device",
                }

            }
        );
    }

}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to clear assessors for.

Maximum string length: 1024

Body

connection
string
required

The name of the connection containing the user whose assessors should be cleared.

Required string length: 1 - 128
Pattern: ^[a-zA-Z0-9](-[a-zA-Z0-9]|[a-zA-Z0-9])*$
assessors
enum<string>[]
required

List of assessors to clear.

Minimum array length: 1

Assessors to clear.

Available options:
new-device

Response

Risk assessment assessors cleared.